# List job facts

`GET /v0/job-facts`

Returns source-attributed observations in bundles paginated by jobs. Unknown or unpermitted facts are absent. Observation dates do not establish when real-world activity began.

## Authentication

`bearerAuth` (http bearer) — Organisation API key supplied only through the Authorization header. Required scopes: `jobs:read`.

## Request

### cURL

```shell
curl --request GET \
  --url "https://api.luranta.com/v0/job-facts" \
  --header "Authorization: Bearer $LURANTA_API_KEY" \
  --header "Accept: application/json" \
  --get \
  --data-urlencode "query=software engineer" \
  --data-urlencode "roles=software-engineering" \
  --data-urlencode "locations=London" \
  --data-urlencode "companies=019bf6e2-a668-7a1b-811d-c5845c739754" \
  --data-urlencode "industries=technology-information-services" \
  --data-urlencode "tools=typescript" \
  --data-urlencode "workArrangements=hybrid" \
  --data-urlencode "workArrangements=remote" \
  --data-urlencode "schedules=full-time" \
  --data-urlencode "engagements=permanent" \
  --data-urlencode "visaSponsorship=true" \
  --data-urlencode "languages=en"
```

### TypeScript

```ts
import { Client } from "@luranta/sdk"

const client = new Client({
  apiKey: process.env.LURANTA_API_KEY!,
  baseUrl: "https://api.luranta.com",
  maxRetries: 2,
})

const result = await client.jobFacts.list({
  query: "software engineer",
  roles: [
    "software-engineering",
  ],
  locations: [
    "London",
  ],
  companies: [
    "019bf6e2-a668-7a1b-811d-c5845c739754",
  ],
  industries: [
    "technology-information-services",
  ],
  tools: [
    "typescript",
  ],
  workArrangements: [
    "hybrid",
    "remote",
  ],
  schedules: [
    "full-time",
  ],
  engagements: [
    "permanent",
  ],
  visaSponsorship: true,
  languages: [
    "en",
  ],
})
```

### Python

```python
import os
from luranta import Client

client = Client(
    api_key=os.environ["LURANTA_API_KEY"],
    base_url="https://api.luranta.com",
    timeout=30,
)

result = client.jobFacts.list({
        "query": "software engineer",
        "roles": [
            "software-engineering",
        ],
        "locations": [
            "London",
        ],
        "companies": [
            "019bf6e2-a668-7a1b-811d-c5845c739754",
        ],
        "industries": [
            "technology-information-services",
        ],
        "tools": [
            "typescript",
        ],
        "work_arrangements": [
            "hybrid",
            "remote",
        ],
        "schedules": [
            "full-time",
        ],
        "engagements": [
            "permanent",
        ],
        "visa_sponsorship": True,
        "languages": [
            "en",
        ],
    })
```

## Query parameters

### `facts`

`object` · optional · style `deepObject` · explode `true`

Closed selections over explicitly disclosed job facts. Related action and target conditions match the same fact in one job.

- Type: `object`
  - Description: Closed selections over explicitly disclosed job facts. Related action and target conditions match the same fact in one job.
  - Properties:
    - `agencyPolicies` (optional):
      - Type: `enum[]`
        - Maximum items 50
        - Maximum items: `50`
        - Items:
          - Type: `enum`
            - Available options: `no_unsolicited_submissions`, `approved_agencies_only`, `agencies_invited`.
    - `applicationRoutes` (optional):
      - Type: `enum[]`
        - Maximum items 50
        - Maximum items: `50`
        - Items:
          - Type: `enum`
            - Available options: `luranta_hosted`, `employer_external`, `intermediary_external`.
    - `benefits` (optional):
      - Type: `enum[]`
        - Maximum items 50
        - Maximum items: `50`
        - Items:
          - Type: `enum`
            - Available options: `health_insurance`, `retirement_plan`, `paid_parental_leave`, `paid_time_off`, `learning_budget`, `relocation_assistance`.
    - `complianceConcepts` (optional):
      - Type: `enum[]`
        - Maximum items 50
        - Maximum items: `50`
        - Items:
          - Type: `enum`
            - Available options: `iso_27001`, `iso_9001`, `soc_2`, `pci_dss`, `fedramp`, `gdpr`, `hipaa`.
    - `complianceRelationships` (optional):
      - Type: `enum[]`
        - Maximum items 50
        - Maximum items: `50`
        - Items:
          - Type: `enum`
            - Available options: `employer_claim`, `registry_record`, `document_verified`, `job_requirement`, `planned_work`.
    - `includeUnstated` (optional):
      - Type: `boolean`
    - `initiativeActions` (optional):
      - Type: `enum[]`
        - Maximum items 50
        - Maximum items: `50`
        - Items:
          - Type: `enum`
            - Available options: `implement_system`, `migrate_system`, `replace_system`, `evaluate_vendor`, `prepare_audit`, `pursue_certification`.
    - `initiativeCompliance` (optional):
      - Type: `enum[]`
        - Maximum items 50
        - Maximum items: `50`
        - Items:
          - Type: `enum`
            - Available options: `iso_27001`, `iso_9001`, `soc_2`, `pci_dss`, `fedramp`, `gdpr`, `hipaa`.
    - `initiativeTools` (optional):
      - Type: `enum[]`
        - Maximum items 50
        - Maximum items: `50`
        - Items:
          - Type: `enum`
            - Available options: `ai-and-machine-learning`, `business-finance-and-erp`, `cloud-infrastructure-and-security`, `collaboration-and-productivity`, `creative-and-design`, `data-and-analytics`, `engineering-cad-and-geospatial`, `healthcare-and-laboratory`, `programming-languages`, `sales-marketing-and-service`, `software-delivery-and-testing`, `software-development`, `developer-tools-and-platforms`, `typescript`, `javascript`, `python`, `go`, `rust`, `c`, `c-plus-plus`, `c-sharp`, `objective-c`, `java`, `kotlin`, `swift`, `ruby`, `php`, `scala`, `dart`, `elixir`, `erlang`, `haskell`, `lua`, `perl`, `r`, `matlab`, `bash`, `powershell`, `react`, `react-native`, `nextjs`, `nodejs`, `angular`, `vuejs`, `svelte`, `remix`, `express`, `nestjs`, `django`, `flask`, `fastapi`, `ruby-on-rails`, `spring`, `laravel`, `dotnet`, `asp-net`, `flutter`, `android`, `ios`, `redux`, `tailwind-css`, `sql`, `postgresql`, `mysql`, `mariadb`, `sqlite`, `oracle-database`, `microsoft-sql-server`, `mongodb`, `redis`, `dynamodb`, `cassandra`, `elasticsearch`, `opensearch`, `bigquery`, `redshift`, `dbt`, `airflow`, `spark`, `flink`, `hadoop`, `trino`, `clickhouse`, `neo4j`, `supabase`, `databricks`, `snowflake`, `kafka`, `pytorch`, `tensorflow`, `numpy`, `pandas`, `scikit-learn`, `jax`, `keras`, `xgboost`, `hugging-face`, `langchain`, `llamaindex`, `mlflow`, `cuda`, `openai-api`, `anthropic-api`, `rag`, `computer-vision`, `nlp`, `llms`, `ai-agents`, `linux`, `git`, `github-actions`, `gitlab-ci`, `jenkins`, `circleci`, `argo-cd`, `kubernetes`, `helm`, `docker`, `ansible`, `terraform`, `pulumi`, `openshift`, `aws`, `gcp`, `azure`, `cloudflare`, `vercel`, `netlify`, `serverless`, `prometheus`, `grafana`, `opentelemetry`, `datadog`, `splunk`, `graphql`, `rest`, `grpc`, `rabbitmq`, `nats`, `websockets`, `vite`, `webpack`, `jest`, `vitest`, `cypress`, `playwright`, `selenium`, `storybook`, `excel`, `microsoft-powerpoint`, `microsoft-word`, `microsoft-outlook`, `microsoft-teams`, `microsoft-sharepoint`, `google-workspace`, `slack`, `notion`, `jira`, `confluence`, `adobe-photoshop`, `adobe-illustrator`, `adobe-indesign`, `adobe-premiere-pro`, `adobe-after-effects`, `adobe-acrobat`, `canva`, `figma`, `blender`, `autodesk-maya`, `final-cut-pro`, `autocad`, `autodesk-revit`, `solidworks`, `catia`, `siemens-nx`, `autodesk-fusion-360`, `sketchup`, `arcgis`, `qgis`, `autodesk-civil-3d`, `ansys`, `labview`, `procore`, `primavera-p6`, `tableau`, `power-bi`, `looker`, `alteryx`, `sas`, `ibm-spss`, `stata`, `minitab`, `sap`, `oracle-erp`, `netsuite`, `microsoft-dynamics-365`, `workday`, `quickbooks`, `xero`, `sage`, `servicenow`, `bloomberg-terminal`, `salesforce`, `hubspot`, `marketo`, `google-ads`, `meta-ads`, `google-analytics`, `zendesk`, `epic`, `oracle-health`, `meditech`, `veeva-vault`, `lims`, `zig`, `gleam`, `julia`, `clojure`, `f-sharp`, `ocaml`, `groovy`, `fortran`, `cobol`, `solidity`, `vhdl`, `verilog`, `assembly`, `abap`, `apex`, `crystal`, `nim`, `visual-basic`, `html5`, `css`, `sass`, `less`, `postcss`, `htmx`, `jquery`, `webassembly`, `deno`, `bun`, `astro`, `nuxt`, `gatsby`, `solidjs`, `qwik`, `ember-js`, `alpine-js`, `lit`, `electron`, `tauri`, `ionic`, `capacitor`, `bootstrap`, `mui`, `ant-design`, `chakra-ui`, `shadcn-ui`, `radix-ui`, `base-ui`, `three-js`, `d3-js`, `tanstack`, `zustand`, `zod`, `rxjs`, `prisma`, `drizzle-orm`, `sqlalchemy`, `hibernate`, `entity-framework`, `mongoose`, `sequelize`, `knex-js`, `phoenix`, `symfony`, `cakephp`, `codeigniter`, `fastify`, `koa`, `hono`, `adonisjs`, `actix`, `qt`, `unity`, `unreal-engine`, `godot`, `expo`, `jetpack-compose`, `swiftui`, `opencv`, `opengl`, `vulkan`, `webrtc`, `github`, `gitlab`, `bitbucket`, `azure-devops`, `apache-maven`, `gradle`, `npm`, `pnpm`, `yarn`, `pip`, `poetry`, `composer`, `nuget`, `cmake`, `bazel`, `nx`, `turborepo`, `babel`, `rollup`, `esbuild`, `swc`, `postman`, `insomnia`, `swagger`, `pytest`, `mocha`, `chai`, `jasmine`, `cucumber`, `k6`, `apache-jmeter`, `pact`, `sonarqube`, `sentry`, `visual-studio-code`, `visual-studio`, `intellij-idea`, `pycharm`, `webstorm`, `android-studio`, `xcode`, `eclipse`, `vim`, `neovim`, `mamp`, `travis-ci`, `teamcity`, `buildkite`, `flux-cd`, `tekton`, `skaffold`, `gnu-make`, `nix`, `github-copilot`, `codex`, `claude-code`, `claude`, `opencode`, `openrouter`, `ollama`, `mistral-ai`, `qwen`, `google-gemini`, `deepseek`, `cursor`, `windsurf`, `v0`, `cohere`, `groq`, `vercel-ai-sdk`, `cloudflare-workers`, `fastly`, `alibaba-cloud`, `apache-cloudstack`, `apache-tomcat`, `wp-engine`, `debian`, `ubuntu`, `red-hat-enterprise-linux`, `centos`, `rocky-linux`, `alpine-linux`, `fedora`, `arch-linux`, `windows-server`, `oracle-cloud`, `ibm-cloud`, `digitalocean`, `heroku`, `fly-io`, `render`, `railway`, `firebase`, `akamai`, `openstack`, `cloud-foundry`, `vmware`, `proxmox`, `nomad`, `consul`, `hashicorp-vault`, `packer`, `istio`, `envoy`, `nginx`, `apache-http-server`, `caddy`, `traefik`, `haproxy`, `okta`, `auth0`, `keycloak`, `snyk`, `trivy`, `owasp`, `burp-suite`, `wireshark`, `metasploit`, `palo-alto-networks`, `fortinet`, `zscaler`, `crowdstrike`, `cisco`, `juniper-networks`, `f5`, `tailscale`, `wireguard`, `kibana`, `logstash`, `grafana-loki`, `new-relic`, `dynatrace`, `pagerduty`, `opsgenie`, `honeycomb`, `planetscale`, `polars`, `duckdb`, `cockroachdb`, `influxdb`, `timescaledb`, `couchdb`, `couchbase`, `singlestore`, `tidb`, `pinecone`, `qdrant`, `weaviate`, `milvus`, `turso`, `apache-hive`, `presto`, `apache-druid`, `apache-beam`, `apache-superset`, `metabase`, `qlik`, `jupyter`, `rstudio`, `plotly`, `scipy`, `matplotlib`, `apache-iceberg`, `fivetran`, `airbyte`, `dagster`, `prefect`, `apache-pulsar`, `activemq`, `mqtt`, `linear`, `clickup`, `workplace`, `asana`, `trello`, `monday-com`, `airtable`, `miro`, `zoom`, `dropbox`, `box`, `microsoft-onedrive`, `basecamp`, `todoist`, `loom`, `smartsheet`, `shortcut`, `mattermost`, `webex`, `zapier`, `n8n`, `make-com`, `uipath`, `microsoft-power-automate`, `microsoft-power-apps`, `microsoft-project`, `google-search-console`, `google-tag-manager`, `semrush`, `ahrefs`, `mailchimp`, `klaviyo`, `braze`, `segment`, `mixpanel`, `amplitude`, `hotjar`, `optimizely`, `contentful`, `sanity`, `wordpress`, `webflow`, `shopify`, `woocommerce`, `magento`, `bigcommerce`, `intercom`, `freshdesk`, `hootsuite`, `pipedrive`, `adobe-analytics`, `drupal`, `joomla`, `ghost`, `squarespace`, `wix`, `prestashop`, `odoo`, `sap-successfactors`, `adp-workforce-now`, `ukg`, `dayforce`, `bamboohr`, `docusign`, `stripe`, `paypal`, `square`, `anaplan`, `workiva`, `sketch`, `framer`, `adobe-xd`, `adobe-lightroom`, `adobe-audition`, `davinci-resolve`, `avid-media-composer`, `pro-tools`, `audacity`, `ableton-live`, `fl-studio`, `cinema-4d`, `affinity-designer`, `affinity-photo`, `inkscape`, `gimp`, `krita`, `coreldraw`, `houdini`, `zbrush`, `mapbox`, `openstreetmap`, `google-earth`, `carto`, `rhino-3d`, `archicad`, `autodesk-inventor`, `altium-designer`, `kicad`, `simulink`, `ros`, `benchling`, `labware`.
    - `listingRelationships` (optional):
      - Type: `enum[]`
        - Maximum items 50
        - Maximum items: `50`
        - Items:
          - Type: `enum`
            - Available options: `direct_employer`, `recruitment_intermediary`.
    - `noDegreeRequired` (optional):
      - Type: `enum`
        - Constant: `true`
    - `recruitingPlatforms` (optional):
      - Type: `enum[]`
        - Maximum items 50
        - Maximum items: `50`
        - Items:
          - Type: `enum`
            - Available options: `adp`, `ashby`, `avature`, `dayforce`, `eightfold`, `greenhouse`, `icims`, `jobvite`, `lever`, `oraclecloud`, `pageup`, `personio`, `phenom`, `recruitee`, `successfactors`, `smartrecruiters`, `taleo`, `teamtailor`, `ukg`, `workable`, `workday`.
    - `technologyOperator` (optional):
      - Type: `enum`
        - Available options: `any`, `all`.
    - `technologyRelationships` (optional):
      - Type: `enum[]`
        - Maximum items 50
        - Maximum items: `50`
        - Items:
          - Type: `enum`
            - Available options: `required_experience`, `preferred_experience`, `explicit_current_use`, `planned_introduction`, `planned_replacement`.
    - `technologyTools` (optional):
      - Type: `enum[]`
        - Maximum items 50
        - Maximum items: `50`
        - Items:
          - Type: `enum`
            - Available options: `typescript`, `javascript`, `python`, `go`, `rust`, `c`, `c-plus-plus`, `c-sharp`, `objective-c`, `java`, `kotlin`, `swift`, `ruby`, `php`, `scala`, `dart`, `elixir`, `erlang`, `haskell`, `lua`, `perl`, `r`, `matlab`, `bash`, `powershell`, `react`, `react-native`, `nextjs`, `nodejs`, `angular`, `vuejs`, `svelte`, `remix`, `express`, `nestjs`, `django`, `flask`, `fastapi`, `ruby-on-rails`, `spring`, `laravel`, `dotnet`, `asp-net`, `flutter`, `android`, `ios`, `redux`, `tailwind-css`, `sql`, `postgresql`, `mysql`, `mariadb`, `sqlite`, `oracle-database`, `microsoft-sql-server`, `mongodb`, `redis`, `dynamodb`, `cassandra`, `elasticsearch`, `opensearch`, `bigquery`, `redshift`, `dbt`, `airflow`, `spark`, `flink`, `hadoop`, `trino`, `clickhouse`, `neo4j`, `supabase`, `databricks`, `snowflake`, `kafka`, `pytorch`, `tensorflow`, `numpy`, `pandas`, `scikit-learn`, `jax`, `keras`, `xgboost`, `hugging-face`, `langchain`, `llamaindex`, `mlflow`, `cuda`, `openai-api`, `anthropic-api`, `rag`, `computer-vision`, `nlp`, `llms`, `ai-agents`, `linux`, `git`, `github-actions`, `gitlab-ci`, `jenkins`, `circleci`, `argo-cd`, `kubernetes`, `helm`, `docker`, `ansible`, `terraform`, `pulumi`, `openshift`, `aws`, `gcp`, `azure`, `cloudflare`, `vercel`, `netlify`, `serverless`, `prometheus`, `grafana`, `opentelemetry`, `datadog`, `splunk`, `graphql`, `rest`, `grpc`, `rabbitmq`, `nats`, `websockets`, `vite`, `webpack`, `jest`, `vitest`, `cypress`, `playwright`, `selenium`, `storybook`, `excel`, `microsoft-powerpoint`, `microsoft-word`, `microsoft-outlook`, `microsoft-teams`, `microsoft-sharepoint`, `google-workspace`, `slack`, `notion`, `jira`, `confluence`, `adobe-photoshop`, `adobe-illustrator`, `adobe-indesign`, `adobe-premiere-pro`, `adobe-after-effects`, `adobe-acrobat`, `canva`, `figma`, `blender`, `autodesk-maya`, `final-cut-pro`, `autocad`, `autodesk-revit`, `solidworks`, `catia`, `siemens-nx`, `autodesk-fusion-360`, `sketchup`, `arcgis`, `qgis`, `autodesk-civil-3d`, `ansys`, `labview`, `procore`, `primavera-p6`, `tableau`, `power-bi`, `looker`, `alteryx`, `sas`, `ibm-spss`, `stata`, `minitab`, `sap`, `oracle-erp`, `netsuite`, `microsoft-dynamics-365`, `workday`, `quickbooks`, `xero`, `sage`, `servicenow`, `bloomberg-terminal`, `salesforce`, `hubspot`, `marketo`, `google-ads`, `meta-ads`, `google-analytics`, `zendesk`, `epic`, `oracle-health`, `meditech`, `veeva-vault`, `lims`, `zig`, `gleam`, `julia`, `clojure`, `f-sharp`, `ocaml`, `groovy`, `fortran`, `cobol`, `solidity`, `vhdl`, `verilog`, `assembly`, `abap`, `apex`, `crystal`, `nim`, `visual-basic`, `html5`, `css`, `sass`, `less`, `postcss`, `htmx`, `jquery`, `webassembly`, `deno`, `bun`, `astro`, `nuxt`, `gatsby`, `solidjs`, `qwik`, `ember-js`, `alpine-js`, `lit`, `electron`, `tauri`, `ionic`, `capacitor`, `bootstrap`, `mui`, `ant-design`, `chakra-ui`, `shadcn-ui`, `radix-ui`, `base-ui`, `three-js`, `d3-js`, `tanstack`, `zustand`, `zod`, `rxjs`, `prisma`, `drizzle-orm`, `sqlalchemy`, `hibernate`, `entity-framework`, `mongoose`, `sequelize`, `knex-js`, `phoenix`, `symfony`, `cakephp`, `codeigniter`, `fastify`, `koa`, `hono`, `adonisjs`, `actix`, `qt`, `unity`, `unreal-engine`, `godot`, `expo`, `jetpack-compose`, `swiftui`, `opencv`, `opengl`, `vulkan`, `webrtc`, `github`, `gitlab`, `bitbucket`, `azure-devops`, `apache-maven`, `gradle`, `npm`, `pnpm`, `yarn`, `pip`, `poetry`, `composer`, `nuget`, `cmake`, `bazel`, `nx`, `turborepo`, `babel`, `rollup`, `esbuild`, `swc`, `postman`, `insomnia`, `swagger`, `pytest`, `mocha`, `chai`, `jasmine`, `cucumber`, `k6`, `apache-jmeter`, `pact`, `sonarqube`, `sentry`, `visual-studio-code`, `visual-studio`, `intellij-idea`, `pycharm`, `webstorm`, `android-studio`, `xcode`, `eclipse`, `vim`, `neovim`, `mamp`, `travis-ci`, `teamcity`, `buildkite`, `flux-cd`, `tekton`, `skaffold`, `gnu-make`, `nix`, `github-copilot`, `codex`, `claude-code`, `claude`, `opencode`, `openrouter`, `ollama`, `mistral-ai`, `qwen`, `google-gemini`, `deepseek`, `cursor`, `windsurf`, `v0`, `cohere`, `groq`, `vercel-ai-sdk`, `cloudflare-workers`, `fastly`, `alibaba-cloud`, `apache-cloudstack`, `apache-tomcat`, `wp-engine`, `debian`, `ubuntu`, `red-hat-enterprise-linux`, `centos`, `rocky-linux`, `alpine-linux`, `fedora`, `arch-linux`, `windows-server`, `oracle-cloud`, `ibm-cloud`, `digitalocean`, `heroku`, `fly-io`, `render`, `railway`, `firebase`, `akamai`, `openstack`, `cloud-foundry`, `vmware`, `proxmox`, `nomad`, `consul`, `hashicorp-vault`, `packer`, `istio`, `envoy`, `nginx`, `apache-http-server`, `caddy`, `traefik`, `haproxy`, `okta`, `auth0`, `keycloak`, `snyk`, `trivy`, `owasp`, `burp-suite`, `wireshark`, `metasploit`, `palo-alto-networks`, `fortinet`, `zscaler`, `crowdstrike`, `cisco`, `juniper-networks`, `f5`, `tailscale`, `wireguard`, `kibana`, `logstash`, `grafana-loki`, `new-relic`, `dynatrace`, `pagerduty`, `opsgenie`, `honeycomb`, `planetscale`, `polars`, `duckdb`, `cockroachdb`, `influxdb`, `timescaledb`, `couchdb`, `couchbase`, `singlestore`, `tidb`, `pinecone`, `qdrant`, `weaviate`, `milvus`, `turso`, `apache-hive`, `presto`, `apache-druid`, `apache-beam`, `apache-superset`, `metabase`, `qlik`, `jupyter`, `rstudio`, `plotly`, `scipy`, `matplotlib`, `apache-iceberg`, `fivetran`, `airbyte`, `dagster`, `prefect`, `apache-pulsar`, `activemq`, `mqtt`, `linear`, `clickup`, `workplace`, `asana`, `trello`, `monday-com`, `airtable`, `miro`, `zoom`, `dropbox`, `box`, `microsoft-onedrive`, `basecamp`, `todoist`, `loom`, `smartsheet`, `shortcut`, `mattermost`, `webex`, `zapier`, `n8n`, `make-com`, `uipath`, `microsoft-power-automate`, `microsoft-power-apps`, `microsoft-project`, `google-search-console`, `google-tag-manager`, `semrush`, `ahrefs`, `mailchimp`, `klaviyo`, `braze`, `segment`, `mixpanel`, `amplitude`, `hotjar`, `optimizely`, `contentful`, `sanity`, `wordpress`, `webflow`, `shopify`, `woocommerce`, `magento`, `bigcommerce`, `intercom`, `freshdesk`, `hootsuite`, `pipedrive`, `adobe-analytics`, `drupal`, `joomla`, `ghost`, `squarespace`, `wix`, `prestashop`, `odoo`, `sap-successfactors`, `adp-workforce-now`, `ukg`, `dayforce`, `bamboohr`, `docusign`, `stripe`, `paypal`, `square`, `anaplan`, `workiva`, `sketch`, `framer`, `adobe-xd`, `adobe-lightroom`, `adobe-audition`, `davinci-resolve`, `avid-media-composer`, `pro-tools`, `audacity`, `ableton-live`, `fl-studio`, `cinema-4d`, `affinity-designer`, `affinity-photo`, `inkscape`, `gimp`, `krita`, `coreldraw`, `houdini`, `zbrush`, `mapbox`, `openstreetmap`, `google-earth`, `carto`, `rhino-3d`, `archicad`, `autodesk-inventor`, `altium-designer`, `kicad`, `simulink`, `ros`, `benchling`, `labware`.
    - `workingConditions` (optional):
      - Type: `enum[]`
        - Maximum items 50
        - Maximum items: `50`
        - Items:
          - Type: `enum`
            - Available options: `on_call`, `night_work`, `weekend_work`, `shift_work`, `travel_required`.

### `applicantLocations`

`string[]` · optional · style `form` · explode `true`

Canonical location IDs required in the job's applicant eligibility facts.

- Type: `string[]`
  - Description: Canonical location IDs required in the job's applicant eligibility facts.
  - Maximum items 300
  - Maximum items: `300`
  - Items:
    - Type: `string`
      - Range 1 240
      - Maximum length: `240`
      - Minimum length: `1`

### `company`

`object` · optional · style `deepObject` · explode `true`

Company context. Values within each category use OR; categories combine with AND. Employee bounds must contain the whole disclosed interval. FTE never satisfies an employee-count filter.

- Type: `object`
  - Description: Company context. Values within each category use OR; categories combine with AND. Employee bounds must contain the whole disclosed interval. FTE never satisfies an employee-count filter.
  - Properties:
    - `complianceConcepts` (optional):
      - Type: `enum[]`
        - Maximum items 7
        - Maximum items: `7`
        - Items:
          - Type: `enum`
            - Available options: `iso_27001`, `iso_9001`, `soc_2`, `pci_dss`, `fedramp`, `gdpr`, `hipaa`.
    - `complianceRelationships` (optional):
      - Type: `enum[]`
        - Maximum items 5
        - Maximum items: `5`
        - Items:
          - Type: `enum`
            - Available options: `employer_claim`, `registry_record`, `document_verified`, `job_requirement`, `planned_work`.
    - `employeeSize` (optional):
      - Type: `enum`
        - Available options: `0`, `1-10`, `11-50`, `51-200`, `201-500`, `501-1000`, `1001-5000`, `5001-10000`, `10001-plus`.
    - `financingCurrency` (optional):
      - Type: `enum`
        - Available options: `AED`, `AFN`, `ALL`, `AMD`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XCG`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMW`, `ZWG`, `BGN`.
    - `financingMax` (optional):
      - Type: `number`
        - Range 0 1000000000000000
        - Maximum: `1000000000000000`
        - Minimum: `0`
    - `financingMeaning` (optional):
      - Type: `enum`
        - Available options: `round_raised`, `offered`, `sold`, `remaining`, `valuation`, `reported_total_raised`.
    - `financingMin` (optional):
      - Type: `number`
        - Range 0 1000000000000000
        - Maximum: `1000000000000000`
        - Minimum: `0`
    - `financingTypes` (optional):
      - Type: `enum[]`
        - Maximum items 5
        - Maximum items: `5`
        - Items:
          - Type: `enum`
            - Available options: `equity`, `debt`, `convertible`, `grant`, `mixed`.
    - `fundingStages` (optional):
      - Type: `enum[]`
        - Maximum items 7
        - Maximum items: `7`
        - Items:
          - Type: `enum`
            - Available options: `angel`, `pre_seed`, `seed`, `series_a`, `series_b`, `series_c`, `series_d_plus`.
    - `includeUnstated` (optional):
      - Type: `boolean`
    - `kinds` (optional):
      - Type: `enum[]`
        - Maximum items 9
        - Maximum items: `9`
        - Items:
          - Type: `enum`
            - Available options: `company`, `brand`, `government`, `education`, `healthcare`, `nonprofit`, `partnership`, `agency`, `other`.
    - `ownershipStatuses` (optional):
      - Type: `enum[]`
        - Maximum items 2
        - Maximum items: `2`
        - Items:
          - Type: `enum`
            - Available options: `publicly_traded`, `privately_held`.
    - `workforceBasis` (optional):
      - Type: `enum`
        - Available options: `headcount`, `annual_average_employees`.

### `salaryDisclosed`

`boolean` · optional

Whether a qualifying base-pay amount is disclosed. False selects listings without such an amount; it does not assert that the employer pays no salary.

- Type: `boolean`
  - Description: Whether a qualifying base-pay amount is disclosed. False selects listings without such an amount; it does not assert that the employer pays no salary.

### `query`

`string` · optional

Full-text query matched against indexed job text and title similarity. Normalized to Unicode NFC with folded whitespace; 1–200 characters.

- Type: `string`
  - Description: Full-text query matched against indexed job text and title similarity. Normalized to Unicode NFC with folded whitespace; 1–200 characters.
  - Range 1 200
  - Examples: `["software engineer"]`
  - Maximum length: `200`
  - Minimum length: `1`

Examples

- example-1: `software engineer`

### `roles`

`enum[]` · optional · style `form` · explode `true`

Role family or specialism codes from the Luranta catalogue. Jobs matching any supplied code are returned.

- Type: `enum[]`
  - Description: Role family or specialism codes from the Luranta catalogue. Jobs matching any supplied code are returned.
  - Maximum items 50
  - Default: `[]`
  - Examples: `[["software-engineering"]]`
  - Maximum items: `50`
  - Items:
    - Type: `enum`
      - Available options: `administration-office-support`, `administrative-executive-assistance`, `office-front-desk`, `clerical-data-entry`, `records-document-control`, `agriculture-horticulture-forestry-fishing-animal-care`, `farming-agricultural-operations`, `horticulture-landscaping`, `forestry-fishing-aquaculture`, `veterinary-animal-care`, `creative-design-fashion-media-entertainment`, `visual-ux-product-design`, `fashion-textile-industrial-design`, `film-television-audio-photography`, `animation-vfx-gaming`, `writing-editing-publishing`, `performing-arts-live-production`, `business-consulting-strategy`, `management-consulting`, `corporate-commercial-strategy`, `business-analysis`, `corporate-development-strategic-partnerships`, `construction-architecture-skilled-trades`, `architecture-urban-planning`, `civil-structural-construction`, `construction-management-site-supervision`, `building-installation-trades`, `surveying-inspection-commissioning`, `customer-service-support`, `contact-centre-customer-service`, `customer-support`, `technical-product-support`, `customer-success-after-sales`, `data-analytics-ai`, `data-analysis-business-intelligence`, `data-science`, `data-engineering`, `machine-learning-ai`, `quantitative-analytics-engineering`, `education-training`, `early-childhood-education`, `primary-secondary-teaching`, `higher-education-academia`, `special-vocational-education`, `training-education-services`, `energy-utilities-mining-natural-resources`, `mining-extraction`, `oil-gas`, `power-generation-grid`, `renewable-energy`, `water-waste-utilities`, `geology-resource-exploration`, `engineering-technical-services`, `mechanical-engineering`, `electrical-electronics-engineering`, `chemical-process-engineering`, `aerospace-automotive-marine-engineering`, `hardware-semiconductor-robotics-engineering`, `systems-test-reliability-technical-services`, `finance-accounting-insurance`, `accounting-controllership`, `audit`, `financial-planning-treasury-tax`, `banking-investments-trading`, `credit-lending`, `insurance-actuarial`, `healthcare-clinical-care`, `medicine-dentistry`, `nursing-midwifery`, `allied-health-rehabilitation`, `pharmacy`, `diagnostics-imaging-clinical-laboratory`, `mental-behavioural-health`, `clinical-support-healthcare-administration`, `hospitality-food-travel-tourism`, `culinary-food-beverage`, `hotels-rooms-guest-services`, `travel-tourism`, `events-conferences`, `leisure-recreation-spa`, `human-resources-recruitment`, `talent-acquisition-recruitment`, `hr-business-partnering-people-operations`, `compensation-benefits`, `employee-relations`, `organisational-workforce-development`, `legal-compliance-risk`, `legal-services-operations`, `regulatory-affairs-compliance`, `enterprise-operational-risk`, `financial-crime-aml-fraud`, `privacy-governance-data-protection`, `manufacturing-production-quality`, `production-plant-operations`, `manufacturing-industrial-engineering`, `machining-fabrication-assembly`, `quality-assurance-control`, `maintenance-reliability-packaging`, `marketing-communications-pr`, `brand-product-growth-marketing`, `digital-performance-marketing`, `communications-public-relations`, `content-social-media`, `market-research-marketing-events`, `operations-project-programme-management`, `business-operations`, `project-management`, `programme-portfolio-pmo`, `process-improvement-service-operations`, `personal-care-beauty-fitness-domestic-services`, `beauty-hair-cosmetics`, `fitness-sports-coaching`, `childcare`, `domestic-personal-care`, `policy-public-administration-international-affairs`, `public-policy-administration`, `government-affairs-diplomacy`, `international-development-humanitarian-affairs`, `human-rights-economic-social-affairs`, `product-management`, `product-management-general`, `technical-platform-product-management`, `product-operations`, `product-strategy-discovery`, `property-facilities-real-estate`, `property-facilities-management`, `real-estate-sales-leasing`, `surveying-valuation`, `property-development-workplace-estates`, `protective-emergency-security-defence-services`, `physical-corporate-security`, `investigation-loss-prevention-law-enforcement`, `fire-rescue-emergency-medical-services`, `emergency-management-occupational-safety`, `military-defence`, `research-science-sustainability`, `life-physical-sciences`, `social-science-economics`, `clinical-preclinical-research`, `laboratory-research-operations`, `environmental-science-climate-sustainability`, `retail-buying-merchandising`, `store-frontline-retail`, `retail-management`, `buying-category-management`, `merchandising-planning-allocation`, `sales-business-development`, `field-inside-sales`, `account-management`, `business-development-partnerships`, `channel-wholesale-sales`, `presales-sales-operations-fundraising`, `social-community-religious-services`, `social-work`, `community-human-services`, `youth-family-social-care`, `nonprofit-religious-services`, `software-it-cybersecurity`, `software-engineering`, `web-mobile-development`, `cloud-platform-sre-devops`, `it-support-systems-administration`, `networks-infrastructure`, `cybersecurity`, `software-quality-testing`, `supply-chain-procurement-logistics`, `procurement-strategic-sourcing`, `supply-planning-inventory`, `warehousing-fulfilment`, `logistics-freight`, `supply-chain-management`, `transport-driving-aviation`, `road-transport-driving-delivery`, `pilots-cabin-crew`, `airport-ground-operations`, `rail-public-transit`, `maritime-shipboard-operations`.

Examples

- example-1: `["software-engineering"]`

### `locations`

`string[]` · optional · style `form` · explode `true`

Place names resolved the same way as location search on luranta.com, for example London or United Kingdom. Jobs in any of the supplied places are returned.

- Type: `string[]`
  - Description: Place names resolved the same way as location search on luranta.com, for example London or United Kingdom. Jobs in any of the supplied places are returned.
  - Maximum items 300
  - Default: `[]`
  - Examples: `[["London"]]`
  - Maximum items: `300`
  - Items:
    - Type: `string`
      - Range 1 240
      - Maximum length: `240`
      - Minimum length: `1`

Examples

- example-1: `["London"]`

### `companies`

`string[]` · optional · style `form` · explode `true`

Company identifiers. Jobs at any of the supplied companies are returned.

- Type: `string[]`
  - Description: Company identifiers. Jobs at any of the supplied companies are returned.
  - Maximum items 20
  - Default: `[]`
  - Examples: `[["019bf6e2-a668-7a1b-811d-c5845c739754"]]`
  - Maximum items: `20`
  - Items:
    - Type: `string`
      - Format uuid · Pattern ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
      - Format: `uuid`
      - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`

Examples

- example-1: `["019bf6e2-a668-7a1b-811d-c5845c739754"]`

### `industries`

`enum[]` · optional · style `form` · explode `true`

Industry sector codes assigned to the hiring company. Jobs matching any supplied sector are returned.

- Type: `enum[]`
  - Description: Industry sector codes assigned to the hiring company. Jobs matching any supplied sector are returned.
  - Maximum items 23
  - Default: `[]`
  - Examples: `[["technology-information-services"]]`
  - Maximum items: `23`
  - Items:
    - Type: `enum`
      - Available options: `agriculture-forestry-fishing`, `mining-natural-resources`, `energy-utilities`, `environmental-waste-services`, `manufacturing`, `fashion-textiles-apparel`, `consumer-goods`, `construction`, `real-estate`, `wholesale-retail`, `transport-logistics-postal`, `hospitality-food-travel`, `media-arts-entertainment`, `technology-information-services`, `telecommunications`, `finance-insurance`, `professional-business-services`, `education`, `healthcare-life-sciences`, `social-care`, `government-public-sector`, `nonprofit-associations`, `personal-household-services`.

Examples

- example-1: `["technology-information-services"]`

### `experience`

`object` · optional · style `deepObject` · explode `true`

Filter by stated years of experience.

- Type: `object`
  - Description: Filter by stated years of experience.
  - Properties:
    - `includeUnstated` (optional):
      - Type: `boolean`
        - Description: When an experience bound is present, include jobs without a numeric experience requirement. Defaults to true and has no effect without an experience bound.
        - Default: `true`
        - Examples: `[true]`
    - `max` (optional):
      - Type: `integer`
        - Description: Upper bound of the acceptable experience range in years, with fractional values rounded to whole years. Matches a stated job range that overlaps this bound.
        - Range 0 80
        - Examples: `[5]`
        - Maximum: `80`
        - Minimum: `0`
    - `min` (optional):
      - Type: `integer`
        - Description: Lower bound of the acceptable experience range in years, with fractional values rounded to whole years. Matches a stated job range that overlaps this bound.
        - Range 0 80
        - Examples: `[2]`
        - Maximum: `80`
        - Minimum: `0`

### `tools`

`enum[]` · optional · style `form` · explode `true`

Tool or technology codes identified for the job. Jobs matching any supplied code are returned.

- Type: `enum[]`
  - Description: Tool or technology codes identified for the job. Jobs matching any supplied code are returned.
  - Maximum items 50
  - Default: `[]`
  - Examples: `[["typescript"]]`
  - Maximum items: `50`
  - Items:
    - Type: `enum`
      - Available options: `ai-and-machine-learning`, `business-finance-and-erp`, `cloud-infrastructure-and-security`, `collaboration-and-productivity`, `creative-and-design`, `data-and-analytics`, `engineering-cad-and-geospatial`, `healthcare-and-laboratory`, `programming-languages`, `sales-marketing-and-service`, `software-delivery-and-testing`, `software-development`, `developer-tools-and-platforms`, `typescript`, `javascript`, `python`, `go`, `rust`, `c`, `c-plus-plus`, `c-sharp`, `objective-c`, `java`, `kotlin`, `swift`, `ruby`, `php`, `scala`, `dart`, `elixir`, `erlang`, `haskell`, `lua`, `perl`, `r`, `matlab`, `bash`, `powershell`, `react`, `react-native`, `nextjs`, `nodejs`, `angular`, `vuejs`, `svelte`, `remix`, `express`, `nestjs`, `django`, `flask`, `fastapi`, `ruby-on-rails`, `spring`, `laravel`, `dotnet`, `asp-net`, `flutter`, `android`, `ios`, `redux`, `tailwind-css`, `sql`, `postgresql`, `mysql`, `mariadb`, `sqlite`, `oracle-database`, `microsoft-sql-server`, `mongodb`, `redis`, `dynamodb`, `cassandra`, `elasticsearch`, `opensearch`, `bigquery`, `redshift`, `dbt`, `airflow`, `spark`, `flink`, `hadoop`, `trino`, `clickhouse`, `neo4j`, `supabase`, `databricks`, `snowflake`, `kafka`, `pytorch`, `tensorflow`, `numpy`, `pandas`, `scikit-learn`, `jax`, `keras`, `xgboost`, `hugging-face`, `langchain`, `llamaindex`, `mlflow`, `cuda`, `openai-api`, `anthropic-api`, `rag`, `computer-vision`, `nlp`, `llms`, `ai-agents`, `linux`, `git`, `github-actions`, `gitlab-ci`, `jenkins`, `circleci`, `argo-cd`, `kubernetes`, `helm`, `docker`, `ansible`, `terraform`, `pulumi`, `openshift`, `aws`, `gcp`, `azure`, `cloudflare`, `vercel`, `netlify`, `serverless`, `prometheus`, `grafana`, `opentelemetry`, `datadog`, `splunk`, `graphql`, `rest`, `grpc`, `rabbitmq`, `nats`, `websockets`, `vite`, `webpack`, `jest`, `vitest`, `cypress`, `playwright`, `selenium`, `storybook`, `excel`, `microsoft-powerpoint`, `microsoft-word`, `microsoft-outlook`, `microsoft-teams`, `microsoft-sharepoint`, `google-workspace`, `slack`, `notion`, `jira`, `confluence`, `adobe-photoshop`, `adobe-illustrator`, `adobe-indesign`, `adobe-premiere-pro`, `adobe-after-effects`, `adobe-acrobat`, `canva`, `figma`, `blender`, `autodesk-maya`, `final-cut-pro`, `autocad`, `autodesk-revit`, `solidworks`, `catia`, `siemens-nx`, `autodesk-fusion-360`, `sketchup`, `arcgis`, `qgis`, `autodesk-civil-3d`, `ansys`, `labview`, `procore`, `primavera-p6`, `tableau`, `power-bi`, `looker`, `alteryx`, `sas`, `ibm-spss`, `stata`, `minitab`, `sap`, `oracle-erp`, `netsuite`, `microsoft-dynamics-365`, `workday`, `quickbooks`, `xero`, `sage`, `servicenow`, `bloomberg-terminal`, `salesforce`, `hubspot`, `marketo`, `google-ads`, `meta-ads`, `google-analytics`, `zendesk`, `epic`, `oracle-health`, `meditech`, `veeva-vault`, `lims`, `zig`, `gleam`, `julia`, `clojure`, `f-sharp`, `ocaml`, `groovy`, `fortran`, `cobol`, `solidity`, `vhdl`, `verilog`, `assembly`, `abap`, `apex`, `crystal`, `nim`, `visual-basic`, `html5`, `css`, `sass`, `less`, `postcss`, `htmx`, `jquery`, `webassembly`, `deno`, `bun`, `astro`, `nuxt`, `gatsby`, `solidjs`, `qwik`, `ember-js`, `alpine-js`, `lit`, `electron`, `tauri`, `ionic`, `capacitor`, `bootstrap`, `mui`, `ant-design`, `chakra-ui`, `shadcn-ui`, `radix-ui`, `base-ui`, `three-js`, `d3-js`, `tanstack`, `zustand`, `zod`, `rxjs`, `prisma`, `drizzle-orm`, `sqlalchemy`, `hibernate`, `entity-framework`, `mongoose`, `sequelize`, `knex-js`, `phoenix`, `symfony`, `cakephp`, `codeigniter`, `fastify`, `koa`, `hono`, `adonisjs`, `actix`, `qt`, `unity`, `unreal-engine`, `godot`, `expo`, `jetpack-compose`, `swiftui`, `opencv`, `opengl`, `vulkan`, `webrtc`, `github`, `gitlab`, `bitbucket`, `azure-devops`, `apache-maven`, `gradle`, `npm`, `pnpm`, `yarn`, `pip`, `poetry`, `composer`, `nuget`, `cmake`, `bazel`, `nx`, `turborepo`, `babel`, `rollup`, `esbuild`, `swc`, `postman`, `insomnia`, `swagger`, `pytest`, `mocha`, `chai`, `jasmine`, `cucumber`, `k6`, `apache-jmeter`, `pact`, `sonarqube`, `sentry`, `visual-studio-code`, `visual-studio`, `intellij-idea`, `pycharm`, `webstorm`, `android-studio`, `xcode`, `eclipse`, `vim`, `neovim`, `mamp`, `travis-ci`, `teamcity`, `buildkite`, `flux-cd`, `tekton`, `skaffold`, `gnu-make`, `nix`, `github-copilot`, `codex`, `claude-code`, `claude`, `opencode`, `openrouter`, `ollama`, `mistral-ai`, `qwen`, `google-gemini`, `deepseek`, `cursor`, `windsurf`, `v0`, `cohere`, `groq`, `vercel-ai-sdk`, `cloudflare-workers`, `fastly`, `alibaba-cloud`, `apache-cloudstack`, `apache-tomcat`, `wp-engine`, `debian`, `ubuntu`, `red-hat-enterprise-linux`, `centos`, `rocky-linux`, `alpine-linux`, `fedora`, `arch-linux`, `windows-server`, `oracle-cloud`, `ibm-cloud`, `digitalocean`, `heroku`, `fly-io`, `render`, `railway`, `firebase`, `akamai`, `openstack`, `cloud-foundry`, `vmware`, `proxmox`, `nomad`, `consul`, `hashicorp-vault`, `packer`, `istio`, `envoy`, `nginx`, `apache-http-server`, `caddy`, `traefik`, `haproxy`, `okta`, `auth0`, `keycloak`, `snyk`, `trivy`, `owasp`, `burp-suite`, `wireshark`, `metasploit`, `palo-alto-networks`, `fortinet`, `zscaler`, `crowdstrike`, `cisco`, `juniper-networks`, `f5`, `tailscale`, `wireguard`, `kibana`, `logstash`, `grafana-loki`, `new-relic`, `dynatrace`, `pagerduty`, `opsgenie`, `honeycomb`, `planetscale`, `polars`, `duckdb`, `cockroachdb`, `influxdb`, `timescaledb`, `couchdb`, `couchbase`, `singlestore`, `tidb`, `pinecone`, `qdrant`, `weaviate`, `milvus`, `turso`, `apache-hive`, `presto`, `apache-druid`, `apache-beam`, `apache-superset`, `metabase`, `qlik`, `jupyter`, `rstudio`, `plotly`, `scipy`, `matplotlib`, `apache-iceberg`, `fivetran`, `airbyte`, `dagster`, `prefect`, `apache-pulsar`, `activemq`, `mqtt`, `linear`, `clickup`, `workplace`, `asana`, `trello`, `monday-com`, `airtable`, `miro`, `zoom`, `dropbox`, `box`, `microsoft-onedrive`, `basecamp`, `todoist`, `loom`, `smartsheet`, `shortcut`, `mattermost`, `webex`, `zapier`, `n8n`, `make-com`, `uipath`, `microsoft-power-automate`, `microsoft-power-apps`, `microsoft-project`, `google-search-console`, `google-tag-manager`, `semrush`, `ahrefs`, `mailchimp`, `klaviyo`, `braze`, `segment`, `mixpanel`, `amplitude`, `hotjar`, `optimizely`, `contentful`, `sanity`, `wordpress`, `webflow`, `shopify`, `woocommerce`, `magento`, `bigcommerce`, `intercom`, `freshdesk`, `hootsuite`, `pipedrive`, `adobe-analytics`, `drupal`, `joomla`, `ghost`, `squarespace`, `wix`, `prestashop`, `odoo`, `sap-successfactors`, `adp-workforce-now`, `ukg`, `dayforce`, `bamboohr`, `docusign`, `stripe`, `paypal`, `square`, `anaplan`, `workiva`, `sketch`, `framer`, `adobe-xd`, `adobe-lightroom`, `adobe-audition`, `davinci-resolve`, `avid-media-composer`, `pro-tools`, `audacity`, `ableton-live`, `fl-studio`, `cinema-4d`, `affinity-designer`, `affinity-photo`, `inkscape`, `gimp`, `krita`, `coreldraw`, `houdini`, `zbrush`, `mapbox`, `openstreetmap`, `google-earth`, `carto`, `rhino-3d`, `archicad`, `autodesk-inventor`, `altium-designer`, `kicad`, `simulink`, `ros`, `benchling`, `labware`.

Examples

- example-1: `["typescript"]`

### `workArrangements`

`enum[]` · optional · style `form` · explode `true`

Work arrangements. Jobs matching any supplied value are returned.

- Type: `enum[]`
  - Description: Work arrangements. Jobs matching any supplied value are returned.
  - Maximum items 3
  - Default: `[]`
  - Examples: `[["hybrid","remote"]]`
  - Maximum items: `3`
  - Items:
    - Type: `enum`
      - Available options: `on_site`, `hybrid`, `remote`.

Examples

- example-1: `["hybrid","remote"]`

### `schedules`

`enum[]` · optional · style `form` · explode `true`

Employment schedules. Jobs matching any supplied value are returned.

- Type: `enum[]`
  - Description: Employment schedules. Jobs matching any supplied value are returned.
  - Maximum items 2
  - Default: `[]`
  - Examples: `[["full-time"]]`
  - Maximum items: `2`
  - Items:
    - Type: `enum`
      - Available options: `full-time`, `part-time`.

Examples

- example-1: `["full-time"]`

### `engagements`

`enum[]` · optional · style `form` · explode `true`

Engagement types. Jobs matching any supplied value are returned.

- Type: `enum[]`
  - Description: Engagement types. Jobs matching any supplied value are returned.
  - Maximum items 7
  - Default: `[]`
  - Examples: `[["permanent"]]`
  - Maximum items: `7`
  - Items:
    - Type: `enum`
      - Available options: `permanent`, `fixed-term`, `contract-freelance`, `temporary-seasonal-casual`, `internship`, `apprenticeship`, `volunteer`.

Examples

- example-1: `["permanent"]`

### `visaSponsorship`

`boolean` · optional

When true, return only jobs explicitly marked as offering visa sponsorship. Defaults to false.

- Type: `boolean`
  - Description: When true, return only jobs explicitly marked as offering visa sponsorship. Defaults to false.
  - Default: `false`
  - Examples: `[true]`

Examples

- example-1: `true`

### `languages`

`enum[]` · optional · style `form` · explode `true`

Catalogue language codes. A job must use a supplied listing language and satisfy each language-requirement group with a supplied language.

- Type: `enum[]`
  - Description: Catalogue language codes. A job must use a supplied listing language and satisfy each language-requirement group with a supplied language.
  - Maximum items 50
  - Default: `[]`
  - Examples: `[["en"]]`
  - Maximum items: `50`
  - Items:
    - Type: `enum`
      - Available options: `en`, `es`, `fr`, `de`, `it`, `pt`, `nl`, `pl`, `sv`, `no`, `da`, `fi`, `ar`, `he`, `hi`, `bn`, `zh`, `ja`, `ko`, `id`, `ms`, `th`, `vi`, `tr`, `ru`, `uk`, `cs`, `azj`, `be`, `bho`, `bs`, `bg`, `ceb`, `ckb`, `fuv`, `ha`, `hms`, `hnj`, `hr`, `hu`, `ig`, `ilo`, `jv`, `kk`, `rw`, `koi`, `ln`, `mad`, `mag`, `mai`, `mr`, `npi`, `ny`, `pbu`, `pes`, `plt`, `qug`, `ro`, `rn`, `skr`, `so`, `sr`, `su`, `swh`, `tl`, `ur`, `uzn`, `yo`, `zu`, `zyb`, `te`, `ta`, `gu`, `kn`, `ml`, `my`, `pa`, `am`, `si`, `el`.

Examples

- example-1: `["en"]`

### `compensation`

`object` · optional · style `deepObject` · explode `true`

Filter and sort by disclosed compensation. Bounds are annual USD comparison amounts; resource packages still use the listed currency.

- Type: `object`
  - Description: Filter and sort by disclosed compensation. Bounds are annual USD comparison amounts; resource packages still use the listed currency.
  - Properties:
    - `bonus` (optional):
      - Type: `boolean`
        - Description: When true, require a matching compensation package that discloses a bonus. Defaults to false.
        - Default: `false`
        - Examples: `[true]`
    - `commission` (optional):
      - Type: `boolean`
        - Description: When true, require a matching compensation package that discloses commission. Defaults to false.
        - Default: `false`
        - Examples: `[true]`
    - `equity` (optional):
      - Type: `boolean`
        - Description: When true, require a matching compensation package that offers equity. Defaults to false.
        - Default: `false`
        - Examples: `[true]`
    - `max` (optional):
      - Type: `number`
        - Description: Maximum annual USD comparison threshold for the selected compensation metric. Matches a package whose lower bound, or upper bound when no lower bound exists, does not exceed the threshold.
        - Range 0 100000000
        - Examples: `[90000]`
        - Maximum: `100000000`
        - Minimum: `0`
    - `metric` (optional):
      - Type: `enum`
        - Available options: `base`, `target-cash`.
    - `min` (optional):
      - Type: `number`
        - Description: Minimum annual USD comparison threshold for the selected compensation metric. Matches a package whose upper bound, or lower bound when no upper bound exists, meets the threshold.
        - Range 0 100000000
        - Examples: `[60000]`
        - Maximum: `100000000`
        - Minimum: `0`

### `freshness`

`enum` · optional

Limits jobs by sort_updated_at: any, 7-days, 30-days, 90-days, or 365-days. Defaults to any.

- Type: `enum`
  - Available options: `any`, `7-days`, `30-days`, `90-days`, `365-days`.

### `sort`

`enum` · optional

Ordering: recency uses newest first; compensation uses the selected metric midpoint, highest first. Defaults to recency.

- Type: `enum`
  - Available options: `recency`, `compensation`.

### `paginationToken`

`string` · optional

Opaque keyset token from meta.nextToken or meta.previousToken. Reuse it with unchanged filters and sort. Expires after 24 hours.

- Type: `string`
  - Description: Opaque keyset token from meta.nextToken or meta.previousToken. Reuse it with unchanged filters and sort. Expires after 24 hours.
  - Range 1 1000
  - Maximum length: `1000`
  - Minimum length: `1`

## Responses

### 200

A page of source-attributed observation bundles.

#### Headers

##### `Luranta-Cost-USD`

`string` · optional

Credit consumed as a USD decimal string. Present only on successful billable responses.

- Type: `string`
  - Pattern ^(?:0|[1-9]\d*)\.\d{2,6}$
  - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`

##### `Luranta-Credit-Balance-USD`

`string` · optional

Organisation credit remaining after settlement. Present only on successful billable responses.

- Type: `string`
  - Pattern ^(?:0|[1-9]\d*)\.\d{2,6}$
  - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`

##### `Luranta-Resources-Returned`

`integer` · optional

Number of resources returned and charged. Present only on successful billable responses.

- Type: `integer`
  - Range 0 2147483647
  - Maximum: `2147483647`
  - Minimum: `0`

##### `traceparent`

`string` · required

W3C trace context generated for this request attempt.

- Type: `string`
  - Pattern ^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$
  - Pattern: `^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$`

##### `X-Request-Id`

`string` · required

Unique UUIDv7 identifier for this request attempt.

- Type: `string`
  - Format uuid
  - Format: `uuid`

#### application/json

- Type: `object`
  - Properties:
    - `data` (required):
      - Type: `object[]`
        - Maximum items 50
        - Maximum items: `50`
        - Items:
          - Type: `object`
            - Properties:
              - `facts` (required):
                - Type: `object[]`
                  - Items:
                    - Type: `object`
                      - Properties:
                        - `companyId` (required):
                          - Type: `string`
                            - Format uuid · Pattern ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                            - Format: `uuid`
                            - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`
                        - `evidence` (required):
                          - Type: `object`
                            - Properties:
                              - `dates` (required):
                                - Type: `object`
                                  - Properties:
                                    - `observedAt` (required):
                                      - Type: `string`
                                        - Format date-time · Pattern ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                        - Format: `date-time`
                                        - Pattern: `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$`
                                    - `occurredOn` (required):
                                      - Type: `string`
                                        - anyOf:
                                          - Type: `string`
                                            - Format date · Pattern ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                                            - Format: `date`
                                            - Pattern: `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$`
                                          - Type: `null`
                                    - `publishedOn` (required):
                                      - Type: `string`
                                        - anyOf:
                                          - Type: `string`
                                            - Format date · Pattern ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                                            - Format: `date`
                                            - Pattern: `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$`
                                          - Type: `null`
                                    - `reportingPeriod` (required):
                                      - Type: `object`
                                        - anyOf:
                                          - Type: `object`
                                            - Properties:
                                              - `end` (required):
                                                - Type: `string`
                                                  - Format date · Pattern ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                                                  - Format: `date`
                                                  - Pattern: `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$`
                                              - `start` (required):
                                                - Type: `string`
                                                  - Format date · Pattern ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                                                  - Format: `date`
                                                  - Pattern: `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$`
                                          - Type: `null`
                              - `digest` (required):
                                - Type: `string`
                                  - Pattern ^[0-9a-f]{64}$
                                  - Pattern: `^[0-9a-f]{64}$`
                              - `parserRevision` (required):
                                - Type: `string`
                                  - Pattern ^[0-9a-f]{64}$
                                  - Pattern: `^[0-9a-f]{64}$`
                              - `reference` (required):
                                - Type: `string`
                                  - Range 1 1000
                                  - Maximum length: `1000`
                                  - Minimum length: `1`
                              - `sourceUrl` (required):
                                - Type: `string`
                                  - Format uri · Maximum length 2048
                                  - Format: `uri`
                                  - Maximum length: `2048`
                        - `fact` (required):
                          - Type: `object`
                            - oneOf:
                              - Type: `object`
                                - Properties:
                                  - `elapsedDays` (required):
                                    - Type: `integer`
                                      - Range 0 9007199254740991
                                      - Maximum: `9007199254740991`
                                      - Minimum: `0`
                                  - `firstObservedAt` (required):
                                    - Type: `string`
                                      - Format date-time · Pattern ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                      - Format: `date-time`
                                      - Pattern: `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$`
                                  - `kind` (required):
                                    - Type: `enum`
                                      - Constant: `observed_listing_interval`
                                  - `lastObservedAt` (required):
                                    - Type: `string`
                                      - Format date-time · Pattern ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                      - Format: `date-time`
                                      - Pattern: `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$`
                              - Type: `object`
                                - Properties:
                                  - `action` (required):
                                    - Type: `enum`
                                      - Available options: `implement_system`, `migrate_system`, `replace_system`, `evaluate_vendor`, `prepare_audit`, `pursue_certification`.
                                  - `kind` (required):
                                    - Type: `enum`
                                      - Constant: `initiative`
                                  - `subjectScope` (required):
                                    - Type: `enum`
                                      - Available options: `hiring_organisation`, `consolidated_hiring_group`, `legal_entity`, `local_establishment`, `parent_organisation`.
                                  - `target` (required):
                                    - Type: `object`
                                      - oneOf:
                                        - Type: `object`
                                          - Properties:
                                            - `code` (required):
                                              - Type: `enum`
                                                - Available options: `ai-and-machine-learning`, `business-finance-and-erp`, `cloud-infrastructure-and-security`, `collaboration-and-productivity`, `creative-and-design`, `data-and-analytics`, `engineering-cad-and-geospatial`, `healthcare-and-laboratory`, `programming-languages`, `sales-marketing-and-service`, `software-delivery-and-testing`, `software-development`, `developer-tools-and-platforms`, `typescript`, `javascript`, `python`, `go`, `rust`, `c`, `c-plus-plus`, `c-sharp`, `objective-c`, `java`, `kotlin`, `swift`, `ruby`, `php`, `scala`, `dart`, `elixir`, `erlang`, `haskell`, `lua`, `perl`, `r`, `matlab`, `bash`, `powershell`, `react`, `react-native`, `nextjs`, `nodejs`, `angular`, `vuejs`, `svelte`, `remix`, `express`, `nestjs`, `django`, `flask`, `fastapi`, `ruby-on-rails`, `spring`, `laravel`, `dotnet`, `asp-net`, `flutter`, `android`, `ios`, `redux`, `tailwind-css`, `sql`, `postgresql`, `mysql`, `mariadb`, `sqlite`, `oracle-database`, `microsoft-sql-server`, `mongodb`, `redis`, `dynamodb`, `cassandra`, `elasticsearch`, `opensearch`, `bigquery`, `redshift`, `dbt`, `airflow`, `spark`, `flink`, `hadoop`, `trino`, `clickhouse`, `neo4j`, `supabase`, `databricks`, `snowflake`, `kafka`, `pytorch`, `tensorflow`, `numpy`, `pandas`, `scikit-learn`, `jax`, `keras`, `xgboost`, `hugging-face`, `langchain`, `llamaindex`, `mlflow`, `cuda`, `openai-api`, `anthropic-api`, `rag`, `computer-vision`, `nlp`, `llms`, `ai-agents`, `linux`, `git`, `github-actions`, `gitlab-ci`, `jenkins`, `circleci`, `argo-cd`, `kubernetes`, `helm`, `docker`, `ansible`, `terraform`, `pulumi`, `openshift`, `aws`, `gcp`, `azure`, `cloudflare`, `vercel`, `netlify`, `serverless`, `prometheus`, `grafana`, `opentelemetry`, `datadog`, `splunk`, `graphql`, `rest`, `grpc`, `rabbitmq`, `nats`, `websockets`, `vite`, `webpack`, `jest`, `vitest`, `cypress`, `playwright`, `selenium`, `storybook`, `excel`, `microsoft-powerpoint`, `microsoft-word`, `microsoft-outlook`, `microsoft-teams`, `microsoft-sharepoint`, `google-workspace`, `slack`, `notion`, `jira`, `confluence`, `adobe-photoshop`, `adobe-illustrator`, `adobe-indesign`, `adobe-premiere-pro`, `adobe-after-effects`, `adobe-acrobat`, `canva`, `figma`, `blender`, `autodesk-maya`, `final-cut-pro`, `autocad`, `autodesk-revit`, `solidworks`, `catia`, `siemens-nx`, `autodesk-fusion-360`, `sketchup`, `arcgis`, `qgis`, `autodesk-civil-3d`, `ansys`, `labview`, `procore`, `primavera-p6`, `tableau`, `power-bi`, `looker`, `alteryx`, `sas`, `ibm-spss`, `stata`, `minitab`, `sap`, `oracle-erp`, `netsuite`, `microsoft-dynamics-365`, `workday`, `quickbooks`, `xero`, `sage`, `servicenow`, `bloomberg-terminal`, `salesforce`, `hubspot`, `marketo`, `google-ads`, `meta-ads`, `google-analytics`, `zendesk`, `epic`, `oracle-health`, `meditech`, `veeva-vault`, `lims`, `zig`, `gleam`, `julia`, `clojure`, `f-sharp`, `ocaml`, `groovy`, `fortran`, `cobol`, `solidity`, `vhdl`, `verilog`, `assembly`, `abap`, `apex`, `crystal`, `nim`, `visual-basic`, `html5`, `css`, `sass`, `less`, `postcss`, `htmx`, `jquery`, `webassembly`, `deno`, `bun`, `astro`, `nuxt`, `gatsby`, `solidjs`, `qwik`, `ember-js`, `alpine-js`, `lit`, `electron`, `tauri`, `ionic`, `capacitor`, `bootstrap`, `mui`, `ant-design`, `chakra-ui`, `shadcn-ui`, `radix-ui`, `base-ui`, `three-js`, `d3-js`, `tanstack`, `zustand`, `zod`, `rxjs`, `prisma`, `drizzle-orm`, `sqlalchemy`, `hibernate`, `entity-framework`, `mongoose`, `sequelize`, `knex-js`, `phoenix`, `symfony`, `cakephp`, `codeigniter`, `fastify`, `koa`, `hono`, `adonisjs`, `actix`, `qt`, `unity`, `unreal-engine`, `godot`, `expo`, `jetpack-compose`, `swiftui`, `opencv`, `opengl`, `vulkan`, `webrtc`, `github`, `gitlab`, `bitbucket`, `azure-devops`, `apache-maven`, `gradle`, `npm`, `pnpm`, `yarn`, `pip`, `poetry`, `composer`, `nuget`, `cmake`, `bazel`, `nx`, `turborepo`, `babel`, `rollup`, `esbuild`, `swc`, `postman`, `insomnia`, `swagger`, `pytest`, `mocha`, `chai`, `jasmine`, `cucumber`, `k6`, `apache-jmeter`, `pact`, `sonarqube`, `sentry`, `visual-studio-code`, `visual-studio`, `intellij-idea`, `pycharm`, `webstorm`, `android-studio`, `xcode`, `eclipse`, `vim`, `neovim`, `mamp`, `travis-ci`, `teamcity`, `buildkite`, `flux-cd`, `tekton`, `skaffold`, `gnu-make`, `nix`, `github-copilot`, `codex`, `claude-code`, `claude`, `opencode`, `openrouter`, `ollama`, `mistral-ai`, `qwen`, `google-gemini`, `deepseek`, `cursor`, `windsurf`, `v0`, `cohere`, `groq`, `vercel-ai-sdk`, `cloudflare-workers`, `fastly`, `alibaba-cloud`, `apache-cloudstack`, `apache-tomcat`, `wp-engine`, `debian`, `ubuntu`, `red-hat-enterprise-linux`, `centos`, `rocky-linux`, `alpine-linux`, `fedora`, `arch-linux`, `windows-server`, `oracle-cloud`, `ibm-cloud`, `digitalocean`, `heroku`, `fly-io`, `render`, `railway`, `firebase`, `akamai`, `openstack`, `cloud-foundry`, `vmware`, `proxmox`, `nomad`, `consul`, `hashicorp-vault`, `packer`, `istio`, `envoy`, `nginx`, `apache-http-server`, `caddy`, `traefik`, `haproxy`, `okta`, `auth0`, `keycloak`, `snyk`, `trivy`, `owasp`, `burp-suite`, `wireshark`, `metasploit`, `palo-alto-networks`, `fortinet`, `zscaler`, `crowdstrike`, `cisco`, `juniper-networks`, `f5`, `tailscale`, `wireguard`, `kibana`, `logstash`, `grafana-loki`, `new-relic`, `dynatrace`, `pagerduty`, `opsgenie`, `honeycomb`, `planetscale`, `polars`, `duckdb`, `cockroachdb`, `influxdb`, `timescaledb`, `couchdb`, `couchbase`, `singlestore`, `tidb`, `pinecone`, `qdrant`, `weaviate`, `milvus`, `turso`, `apache-hive`, `presto`, `apache-druid`, `apache-beam`, `apache-superset`, `metabase`, `qlik`, `jupyter`, `rstudio`, `plotly`, `scipy`, `matplotlib`, `apache-iceberg`, `fivetran`, `airbyte`, `dagster`, `prefect`, `apache-pulsar`, `activemq`, `mqtt`, `linear`, `clickup`, `workplace`, `asana`, `trello`, `monday-com`, `airtable`, `miro`, `zoom`, `dropbox`, `box`, `microsoft-onedrive`, `basecamp`, `todoist`, `loom`, `smartsheet`, `shortcut`, `mattermost`, `webex`, `zapier`, `n8n`, `make-com`, `uipath`, `microsoft-power-automate`, `microsoft-power-apps`, `microsoft-project`, `google-search-console`, `google-tag-manager`, `semrush`, `ahrefs`, `mailchimp`, `klaviyo`, `braze`, `segment`, `mixpanel`, `amplitude`, `hotjar`, `optimizely`, `contentful`, `sanity`, `wordpress`, `webflow`, `shopify`, `woocommerce`, `magento`, `bigcommerce`, `intercom`, `freshdesk`, `hootsuite`, `pipedrive`, `adobe-analytics`, `drupal`, `joomla`, `ghost`, `squarespace`, `wix`, `prestashop`, `odoo`, `sap-successfactors`, `adp-workforce-now`, `ukg`, `dayforce`, `bamboohr`, `docusign`, `stripe`, `paypal`, `square`, `anaplan`, `workiva`, `sketch`, `framer`, `adobe-xd`, `adobe-lightroom`, `adobe-audition`, `davinci-resolve`, `avid-media-composer`, `pro-tools`, `audacity`, `ableton-live`, `fl-studio`, `cinema-4d`, `affinity-designer`, `affinity-photo`, `inkscape`, `gimp`, `krita`, `coreldraw`, `houdini`, `zbrush`, `mapbox`, `openstreetmap`, `google-earth`, `carto`, `rhino-3d`, `archicad`, `autodesk-inventor`, `altium-designer`, `kicad`, `simulink`, `ros`, `benchling`, `labware`.
                                            - `kind` (required):
                                              - Type: `enum`
                                                - Constant: `technology`
                                        - Type: `object`
                                          - Properties:
                                            - `code` (required):
                                              - Type: `enum`
                                                - Available options: `iso_27001`, `iso_9001`, `soc_2`, `pci_dss`, `fedramp`, `gdpr`, `hipaa`.
                                            - `kind` (required):
                                              - Type: `enum`
                                                - Constant: `compliance`
                              - Type: `object`
                                - Properties:
                                  - `appliesTo` (required):
                                    - Type: `enum`
                                      - Available options: `organisation`, `product`, `service`, `facility`, `job`.
                                  - `concept` (required):
                                    - Type: `enum`
                                      - Available options: `iso_27001`, `iso_9001`, `soc_2`, `pci_dss`, `fedramp`, `gdpr`, `hipaa`.
                                  - `kind` (required):
                                    - Type: `enum`
                                      - Constant: `compliance`
                                  - `relationship` (required):
                                    - Type: `enum`
                                      - Available options: `employer_claim`, `registry_record`, `document_verified`, `job_requirement`, `planned_work`.
                                  - `soc2ReportType` (required):
                                    - Type: `string`
                                      - anyOf:
                                        - Type: `enum`
                                          - Available options: `type_i`, `type_ii`.
                                        - Type: `null`
                                  - `subjectScope` (required):
                                    - Type: `enum`
                                      - Available options: `hiring_organisation`, `consolidated_hiring_group`, `legal_entity`, `local_establishment`, `parent_organisation`.
                                  - `validFrom` (required):
                                    - Type: `string`
                                      - anyOf:
                                        - Type: `string`
                                          - Format date · Pattern ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                                          - Format: `date`
                                          - Pattern: `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$`
                                        - Type: `null`
                                  - `validThrough` (required):
                                    - Type: `string`
                                      - anyOf:
                                        - Type: `string`
                                          - Format date · Pattern ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
                                          - Format: `date`
                                          - Pattern: `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$`
                                        - Type: `null`
                                  - `verificationUrl` (required):
                                    - Type: `string`
                                      - anyOf:
                                        - Type: `string`
                                          - Format uri · Maximum length 2048
                                          - Format: `uri`
                                          - Maximum length: `2048`
                                        - Type: `null`
                              - Type: `object`
                                - Properties:
                                  - `kind` (required):
                                    - Type: `enum`
                                      - Constant: `technology`
                                  - `relationship` (required):
                                    - Type: `enum`
                                      - Available options: `required_experience`, `preferred_experience`, `explicit_current_use`, `planned_introduction`, `planned_replacement`.
                                  - `tool` (required):
                                    - Type: `enum`
                                      - Available options: `typescript`, `javascript`, `python`, `go`, `rust`, `c`, `c-plus-plus`, `c-sharp`, `objective-c`, `java`, `kotlin`, `swift`, `ruby`, `php`, `scala`, `dart`, `elixir`, `erlang`, `haskell`, `lua`, `perl`, `r`, `matlab`, `bash`, `powershell`, `react`, `react-native`, `nextjs`, `nodejs`, `angular`, `vuejs`, `svelte`, `remix`, `express`, `nestjs`, `django`, `flask`, `fastapi`, `ruby-on-rails`, `spring`, `laravel`, `dotnet`, `asp-net`, `flutter`, `android`, `ios`, `redux`, `tailwind-css`, `sql`, `postgresql`, `mysql`, `mariadb`, `sqlite`, `oracle-database`, `microsoft-sql-server`, `mongodb`, `redis`, `dynamodb`, `cassandra`, `elasticsearch`, `opensearch`, `bigquery`, `redshift`, `dbt`, `airflow`, `spark`, `flink`, `hadoop`, `trino`, `clickhouse`, `neo4j`, `supabase`, `databricks`, `snowflake`, `kafka`, `pytorch`, `tensorflow`, `numpy`, `pandas`, `scikit-learn`, `jax`, `keras`, `xgboost`, `hugging-face`, `langchain`, `llamaindex`, `mlflow`, `cuda`, `openai-api`, `anthropic-api`, `rag`, `computer-vision`, `nlp`, `llms`, `ai-agents`, `linux`, `git`, `github-actions`, `gitlab-ci`, `jenkins`, `circleci`, `argo-cd`, `kubernetes`, `helm`, `docker`, `ansible`, `terraform`, `pulumi`, `openshift`, `aws`, `gcp`, `azure`, `cloudflare`, `vercel`, `netlify`, `serverless`, `prometheus`, `grafana`, `opentelemetry`, `datadog`, `splunk`, `graphql`, `rest`, `grpc`, `rabbitmq`, `nats`, `websockets`, `vite`, `webpack`, `jest`, `vitest`, `cypress`, `playwright`, `selenium`, `storybook`, `excel`, `microsoft-powerpoint`, `microsoft-word`, `microsoft-outlook`, `microsoft-teams`, `microsoft-sharepoint`, `google-workspace`, `slack`, `notion`, `jira`, `confluence`, `adobe-photoshop`, `adobe-illustrator`, `adobe-indesign`, `adobe-premiere-pro`, `adobe-after-effects`, `adobe-acrobat`, `canva`, `figma`, `blender`, `autodesk-maya`, `final-cut-pro`, `autocad`, `autodesk-revit`, `solidworks`, `catia`, `siemens-nx`, `autodesk-fusion-360`, `sketchup`, `arcgis`, `qgis`, `autodesk-civil-3d`, `ansys`, `labview`, `procore`, `primavera-p6`, `tableau`, `power-bi`, `looker`, `alteryx`, `sas`, `ibm-spss`, `stata`, `minitab`, `sap`, `oracle-erp`, `netsuite`, `microsoft-dynamics-365`, `workday`, `quickbooks`, `xero`, `sage`, `servicenow`, `bloomberg-terminal`, `salesforce`, `hubspot`, `marketo`, `google-ads`, `meta-ads`, `google-analytics`, `zendesk`, `epic`, `oracle-health`, `meditech`, `veeva-vault`, `lims`, `zig`, `gleam`, `julia`, `clojure`, `f-sharp`, `ocaml`, `groovy`, `fortran`, `cobol`, `solidity`, `vhdl`, `verilog`, `assembly`, `abap`, `apex`, `crystal`, `nim`, `visual-basic`, `html5`, `css`, `sass`, `less`, `postcss`, `htmx`, `jquery`, `webassembly`, `deno`, `bun`, `astro`, `nuxt`, `gatsby`, `solidjs`, `qwik`, `ember-js`, `alpine-js`, `lit`, `electron`, `tauri`, `ionic`, `capacitor`, `bootstrap`, `mui`, `ant-design`, `chakra-ui`, `shadcn-ui`, `radix-ui`, `base-ui`, `three-js`, `d3-js`, `tanstack`, `zustand`, `zod`, `rxjs`, `prisma`, `drizzle-orm`, `sqlalchemy`, `hibernate`, `entity-framework`, `mongoose`, `sequelize`, `knex-js`, `phoenix`, `symfony`, `cakephp`, `codeigniter`, `fastify`, `koa`, `hono`, `adonisjs`, `actix`, `qt`, `unity`, `unreal-engine`, `godot`, `expo`, `jetpack-compose`, `swiftui`, `opencv`, `opengl`, `vulkan`, `webrtc`, `github`, `gitlab`, `bitbucket`, `azure-devops`, `apache-maven`, `gradle`, `npm`, `pnpm`, `yarn`, `pip`, `poetry`, `composer`, `nuget`, `cmake`, `bazel`, `nx`, `turborepo`, `babel`, `rollup`, `esbuild`, `swc`, `postman`, `insomnia`, `swagger`, `pytest`, `mocha`, `chai`, `jasmine`, `cucumber`, `k6`, `apache-jmeter`, `pact`, `sonarqube`, `sentry`, `visual-studio-code`, `visual-studio`, `intellij-idea`, `pycharm`, `webstorm`, `android-studio`, `xcode`, `eclipse`, `vim`, `neovim`, `mamp`, `travis-ci`, `teamcity`, `buildkite`, `flux-cd`, `tekton`, `skaffold`, `gnu-make`, `nix`, `github-copilot`, `codex`, `claude-code`, `claude`, `opencode`, `openrouter`, `ollama`, `mistral-ai`, `qwen`, `google-gemini`, `deepseek`, `cursor`, `windsurf`, `v0`, `cohere`, `groq`, `vercel-ai-sdk`, `cloudflare-workers`, `fastly`, `alibaba-cloud`, `apache-cloudstack`, `apache-tomcat`, `wp-engine`, `debian`, `ubuntu`, `red-hat-enterprise-linux`, `centos`, `rocky-linux`, `alpine-linux`, `fedora`, `arch-linux`, `windows-server`, `oracle-cloud`, `ibm-cloud`, `digitalocean`, `heroku`, `fly-io`, `render`, `railway`, `firebase`, `akamai`, `openstack`, `cloud-foundry`, `vmware`, `proxmox`, `nomad`, `consul`, `hashicorp-vault`, `packer`, `istio`, `envoy`, `nginx`, `apache-http-server`, `caddy`, `traefik`, `haproxy`, `okta`, `auth0`, `keycloak`, `snyk`, `trivy`, `owasp`, `burp-suite`, `wireshark`, `metasploit`, `palo-alto-networks`, `fortinet`, `zscaler`, `crowdstrike`, `cisco`, `juniper-networks`, `f5`, `tailscale`, `wireguard`, `kibana`, `logstash`, `grafana-loki`, `new-relic`, `dynatrace`, `pagerduty`, `opsgenie`, `honeycomb`, `planetscale`, `polars`, `duckdb`, `cockroachdb`, `influxdb`, `timescaledb`, `couchdb`, `couchbase`, `singlestore`, `tidb`, `pinecone`, `qdrant`, `weaviate`, `milvus`, `turso`, `apache-hive`, `presto`, `apache-druid`, `apache-beam`, `apache-superset`, `metabase`, `qlik`, `jupyter`, `rstudio`, `plotly`, `scipy`, `matplotlib`, `apache-iceberg`, `fivetran`, `airbyte`, `dagster`, `prefect`, `apache-pulsar`, `activemq`, `mqtt`, `linear`, `clickup`, `workplace`, `asana`, `trello`, `monday-com`, `airtable`, `miro`, `zoom`, `dropbox`, `box`, `microsoft-onedrive`, `basecamp`, `todoist`, `loom`, `smartsheet`, `shortcut`, `mattermost`, `webex`, `zapier`, `n8n`, `make-com`, `uipath`, `microsoft-power-automate`, `microsoft-power-apps`, `microsoft-project`, `google-search-console`, `google-tag-manager`, `semrush`, `ahrefs`, `mailchimp`, `klaviyo`, `braze`, `segment`, `mixpanel`, `amplitude`, `hotjar`, `optimizely`, `contentful`, `sanity`, `wordpress`, `webflow`, `shopify`, `woocommerce`, `magento`, `bigcommerce`, `intercom`, `freshdesk`, `hootsuite`, `pipedrive`, `adobe-analytics`, `drupal`, `joomla`, `ghost`, `squarespace`, `wix`, `prestashop`, `odoo`, `sap-successfactors`, `adp-workforce-now`, `ukg`, `dayforce`, `bamboohr`, `docusign`, `stripe`, `paypal`, `square`, `anaplan`, `workiva`, `sketch`, `framer`, `adobe-xd`, `adobe-lightroom`, `adobe-audition`, `davinci-resolve`, `avid-media-composer`, `pro-tools`, `audacity`, `ableton-live`, `fl-studio`, `cinema-4d`, `affinity-designer`, `affinity-photo`, `inkscape`, `gimp`, `krita`, `coreldraw`, `houdini`, `zbrush`, `mapbox`, `openstreetmap`, `google-earth`, `carto`, `rhino-3d`, `archicad`, `autodesk-inventor`, `altium-designer`, `kicad`, `simulink`, `ros`, `benchling`, `labware`.
                              - Type: `object`
                                - Properties:
                                  - `kind` (required):
                                    - Type: `enum`
                                      - Constant: `application_route`
                                  - `value` (required):
                                    - Type: `enum`
                                      - Available options: `luranta_hosted`, `employer_external`, `intermediary_external`.
                              - Type: `object`
                                - Properties:
                                  - `kind` (required):
                                    - Type: `enum`
                                      - Constant: `listing_relationship`
                                  - `value` (required):
                                    - Type: `enum`
                                      - Available options: `direct_employer`, `recruitment_intermediary`.
                              - Type: `object`
                                - Properties:
                                  - `kind` (required):
                                    - Type: `enum`
                                      - Constant: `recruiting_platform`
                                  - `value` (required):
                                    - Type: `enum`
                                      - Available options: `adp`, `ashby`, `avature`, `dayforce`, `eightfold`, `greenhouse`, `icims`, `jobvite`, `lever`, `oraclecloud`, `pageup`, `personio`, `phenom`, `recruitee`, `successfactors`, `smartrecruiters`, `taleo`, `teamtailor`, `ukg`, `workable`, `workday`.
                              - Type: `object`
                                - Properties:
                                  - `kind` (required):
                                    - Type: `enum`
                                      - Constant: `agency_submission_policy`
                                  - `value` (required):
                                    - Type: `enum`
                                      - Available options: `no_unsolicited_submissions`, `approved_agencies_only`, `agencies_invited`.
                              - Type: `object`
                                - Properties:
                                  - `kind` (required):
                                    - Type: `enum`
                                      - Constant: `benefit`
                                  - `value` (required):
                                    - Type: `enum`
                                      - Available options: `health_insurance`, `retirement_plan`, `paid_parental_leave`, `paid_time_off`, `learning_budget`, `relocation_assistance`.
                              - Type: `object`
                                - Properties:
                                  - `kind` (required):
                                    - Type: `enum`
                                      - Constant: `working_condition`
                                  - `value` (required):
                                    - Type: `enum`
                                      - Available options: `on_call`, `night_work`, `weekend_work`, `shift_work`, `travel_required`.
                              - Type: `object`
                                - Properties:
                                  - `kind` (required):
                                    - Type: `enum`
                                      - Constant: `no_degree_required`
                                  - `value` (required):
                                    - Type: `enum`
                                      - Constant: `true`
                        - `jobId` (required):
                          - Type: `string`
                            - Format uuid · Pattern ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                            - Format: `uuid`
                            - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`
              - `jobId` (required):
                - Type: `string`
                  - Format uuid · Pattern ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                  - Format: `uuid`
                  - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`
    - `meta` (required):
      - Type: `object`
        - Properties:
          - `nextToken` (required):
            - Type: `string`
              - anyOf:
                - Type: `string`
                  - Maximum length 1000
                  - Maximum length: `1000`
                - Type: `null`
          - `previousToken` (required):
            - Type: `string`
              - anyOf:
                - Type: `string`
                  - Maximum length 1000
                  - Maximum length: `1000`
                - Type: `null`
          - `resultCount` (required):
            - Type: `integer`
              - Range 0 50
              - Maximum: `50`
              - Minimum: `0`

### 400

The request contains an invalid parameter, parameter combination, or cursor.

This response uses [Problem Details](/reference/problem-details).

#### Headers

##### `traceparent`

`string` · required

W3C trace context generated for this request attempt.

- Type: `string`
  - Pattern ^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$
  - Pattern: `^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$`

##### `X-Request-Id`

`string` · required

Unique UUIDv7 identifier for this request attempt.

- Type: `string`
  - Format uuid
  - Format: `uuid`

#### application/problem+json

Errors follow [Problem Details](/reference/problem-details).

- Type: `object`
  - Properties:
    - `availableCreditUsd` (optional):
      - Type: `string`
        - Pattern ^(?:0|[1-9]\d*)\.\d{2,6}$
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `code` (required):
      - Type: `string`
        - Range 1 80
        - Maximum length: `80`
        - Minimum length: `1`
    - `detail` (required):
      - Type: `string`
        - Range 1 1000
        - Maximum length: `1000`
        - Minimum length: `1`
    - `errors` (required):
      - Type: `object[]`
        - Range 1 100
        - Maximum items: `100`
        - Minimum items: `1`
        - Items:
          - Type: `object`
            - Properties:
              - `code` (required):
                - Type: `string`
                  - Range 1 80
                  - Maximum length: `80`
                  - Minimum length: `1`
              - `message` (required):
                - Type: `string`
                  - Range 1 500
                  - Maximum length: `500`
                  - Minimum length: `1`
              - `pointer` (required):
                - Type: `string`
                  - Format starts_with · Pattern ^\/.*
                  - Format: `starts_with`
                  - Pattern: `^\/.*`
    - `instance` (required):
      - Type: `string`
        - Format starts_with · Pattern ^\/.*
        - Format: `starts_with`
        - Pattern: `^\/.*`
    - `param` (optional):
      - Type: `string`
        - Range 1 160
        - Maximum length: `160`
        - Minimum length: `1`
    - `requestId` (required):
      - Type: `string`
        - Format uuid · Pattern ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
        - Format: `uuid`
        - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`
    - `requiredCreditUsd` (optional):
      - Type: `string`
        - Pattern ^(?:0|[1-9]\d*)\.\d{2,6}$
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `retryable` (required):
      - Type: `boolean`
    - `status` (required):
      - Type: `integer`
        - Range 400 599
        - Maximum: `599`
        - Minimum: `400`
    - `title` (required):
      - Type: `string`
        - Range 1 120
        - Maximum length: `120`
        - Minimum length: `1`
    - `topUpUrl` (optional):
      - Type: `string`
        - Format uri · Maximum length 2048
        - Format: `uri`
        - Maximum length: `2048`
    - `type` (required):
      - Type: `string`
        - Format uri · Maximum length 2048
        - Format: `uri`
        - Maximum length: `2048`

Example — Invalid request

```json
{
  "code": "invalid_request",
  "detail": "The query cannot be processed as a whole, including conflicting ranges.",
  "errors": [
    {
      "code": "invalid_request",
      "message": "The query cannot be processed as a whole, including conflicting ranges.",
      "pointer": "/"
    }
  ],
  "instance": "/v0/job-facts",
  "requestId": "019faa81-0b1a-77b1-9758-51ff24ab51ae",
  "retryable": false,
  "status": 400,
  "title": "Invalid request",
  "type": "https://docs.luranta.com/errors/invalid-request"
}
```

### 401

The organisation API key is missing, invalid, expired, or revoked.

This response uses [Problem Details](/reference/problem-details).

#### Headers

##### `traceparent`

`string` · required

W3C trace context generated for this request attempt.

- Type: `string`
  - Pattern ^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$
  - Pattern: `^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$`

##### `X-Request-Id`

`string` · required

Unique UUIDv7 identifier for this request attempt.

- Type: `string`
  - Format uuid
  - Format: `uuid`

#### application/problem+json

Errors follow [Problem Details](/reference/problem-details).

- Type: `object`
  - Properties:
    - `availableCreditUsd` (optional):
      - Type: `string`
        - Pattern ^(?:0|[1-9]\d*)\.\d{2,6}$
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `code` (required):
      - Type: `string`
        - Range 1 80
        - Maximum length: `80`
        - Minimum length: `1`
    - `detail` (required):
      - Type: `string`
        - Range 1 1000
        - Maximum length: `1000`
        - Minimum length: `1`
    - `errors` (required):
      - Type: `object[]`
        - Range 1 100
        - Maximum items: `100`
        - Minimum items: `1`
        - Items:
          - Type: `object`
            - Properties:
              - `code` (required):
                - Type: `string`
                  - Range 1 80
                  - Maximum length: `80`
                  - Minimum length: `1`
              - `message` (required):
                - Type: `string`
                  - Range 1 500
                  - Maximum length: `500`
                  - Minimum length: `1`
              - `pointer` (required):
                - Type: `string`
                  - Format starts_with · Pattern ^\/.*
                  - Format: `starts_with`
                  - Pattern: `^\/.*`
    - `instance` (required):
      - Type: `string`
        - Format starts_with · Pattern ^\/.*
        - Format: `starts_with`
        - Pattern: `^\/.*`
    - `param` (optional):
      - Type: `string`
        - Range 1 160
        - Maximum length: `160`
        - Minimum length: `1`
    - `requestId` (required):
      - Type: `string`
        - Format uuid · Pattern ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
        - Format: `uuid`
        - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`
    - `requiredCreditUsd` (optional):
      - Type: `string`
        - Pattern ^(?:0|[1-9]\d*)\.\d{2,6}$
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `retryable` (required):
      - Type: `boolean`
    - `status` (required):
      - Type: `integer`
        - Range 400 599
        - Maximum: `599`
        - Minimum: `400`
    - `title` (required):
      - Type: `string`
        - Range 1 120
        - Maximum length: `120`
        - Minimum length: `1`
    - `topUpUrl` (optional):
      - Type: `string`
        - Format uri · Maximum length 2048
        - Format: `uri`
        - Maximum length: `2048`
    - `type` (required):
      - Type: `string`
        - Format uri · Maximum length 2048
        - Format: `uri`
        - Maximum length: `2048`

Example — Invalid API key

```json
{
  "code": "invalid_api_key",
  "detail": "The Authorization Bearer token is missing, malformed, expired, or revoked.",
  "errors": [
    {
      "code": "invalid_api_key",
      "message": "The Authorization Bearer token is missing, malformed, expired, or revoked.",
      "pointer": "/"
    }
  ],
  "instance": "/v0/job-facts",
  "requestId": "019faa81-0b1a-77b1-9758-51ff24ab51ae",
  "retryable": false,
  "status": 401,
  "title": "Invalid API key",
  "type": "https://docs.luranta.com/errors/invalid-api-key"
}
```

### 402

The organisation does not have enough credit to reserve this operation.

This response uses [Problem Details](/reference/problem-details).

#### Headers

##### `traceparent`

`string` · required

W3C trace context generated for this request attempt.

- Type: `string`
  - Pattern ^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$
  - Pattern: `^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$`

##### `X-Request-Id`

`string` · required

Unique UUIDv7 identifier for this request attempt.

- Type: `string`
  - Format uuid
  - Format: `uuid`

#### application/problem+json

Errors follow [Problem Details](/reference/problem-details).

- Type: `object`
  - Properties:
    - `availableCreditUsd` (optional):
      - Type: `string`
        - Pattern ^(?:0|[1-9]\d*)\.\d{2,6}$
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `code` (required):
      - Type: `string`
        - Range 1 80
        - Maximum length: `80`
        - Minimum length: `1`
    - `detail` (required):
      - Type: `string`
        - Range 1 1000
        - Maximum length: `1000`
        - Minimum length: `1`
    - `errors` (required):
      - Type: `object[]`
        - Range 1 100
        - Maximum items: `100`
        - Minimum items: `1`
        - Items:
          - Type: `object`
            - Properties:
              - `code` (required):
                - Type: `string`
                  - Range 1 80
                  - Maximum length: `80`
                  - Minimum length: `1`
              - `message` (required):
                - Type: `string`
                  - Range 1 500
                  - Maximum length: `500`
                  - Minimum length: `1`
              - `pointer` (required):
                - Type: `string`
                  - Format starts_with · Pattern ^\/.*
                  - Format: `starts_with`
                  - Pattern: `^\/.*`
    - `instance` (required):
      - Type: `string`
        - Format starts_with · Pattern ^\/.*
        - Format: `starts_with`
        - Pattern: `^\/.*`
    - `param` (optional):
      - Type: `string`
        - Range 1 160
        - Maximum length: `160`
        - Minimum length: `1`
    - `requestId` (required):
      - Type: `string`
        - Format uuid · Pattern ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
        - Format: `uuid`
        - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`
    - `requiredCreditUsd` (optional):
      - Type: `string`
        - Pattern ^(?:0|[1-9]\d*)\.\d{2,6}$
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `retryable` (required):
      - Type: `boolean`
    - `status` (required):
      - Type: `integer`
        - Range 400 599
        - Maximum: `599`
        - Minimum: `400`
    - `title` (required):
      - Type: `string`
        - Range 1 120
        - Maximum length: `120`
        - Minimum length: `1`
    - `topUpUrl` (optional):
      - Type: `string`
        - Format uri · Maximum length 2048
        - Format: `uri`
        - Maximum length: `2048`
    - `type` (required):
      - Type: `string`
        - Format uri · Maximum length 2048
        - Format: `uri`
        - Maximum length: `2048`

Example — Insufficient credits

```json
{
  "availableCreditUsd": "0.000000",
  "code": "insufficient_credits",
  "detail": "The organisation wallet cannot fund the maximum resources requested.",
  "errors": [
    {
      "code": "insufficient_credits",
      "message": "The organisation wallet cannot fund the maximum resources requested.",
      "pointer": "/"
    }
  ],
  "instance": "/v0/job-facts",
  "requestId": "019faa81-0b1a-77b1-9758-51ff24ab51ae",
  "requiredCreditUsd": "0.020000",
  "retryable": false,
  "status": 402,
  "title": "Insufficient credits",
  "topUpUrl": "https://luranta.com/settings",
  "type": "https://docs.luranta.com/errors/insufficient-credits"
}
```

### 403

The authenticated organisation lacks the required scope, or the browser origin is not allowed.

This response uses [Problem Details](/reference/problem-details).

#### Headers

##### `traceparent`

`string` · required

W3C trace context generated for this request attempt.

- Type: `string`
  - Pattern ^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$
  - Pattern: `^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$`

##### `X-Request-Id`

`string` · required

Unique UUIDv7 identifier for this request attempt.

- Type: `string`
  - Format uuid
  - Format: `uuid`

#### application/problem+json

Errors follow [Problem Details](/reference/problem-details).

- Type: `object`
  - Properties:
    - `availableCreditUsd` (optional):
      - Type: `string`
        - Pattern ^(?:0|[1-9]\d*)\.\d{2,6}$
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `code` (required):
      - Type: `string`
        - Range 1 80
        - Maximum length: `80`
        - Minimum length: `1`
    - `detail` (required):
      - Type: `string`
        - Range 1 1000
        - Maximum length: `1000`
        - Minimum length: `1`
    - `errors` (required):
      - Type: `object[]`
        - Range 1 100
        - Maximum items: `100`
        - Minimum items: `1`
        - Items:
          - Type: `object`
            - Properties:
              - `code` (required):
                - Type: `string`
                  - Range 1 80
                  - Maximum length: `80`
                  - Minimum length: `1`
              - `message` (required):
                - Type: `string`
                  - Range 1 500
                  - Maximum length: `500`
                  - Minimum length: `1`
              - `pointer` (required):
                - Type: `string`
                  - Format starts_with · Pattern ^\/.*
                  - Format: `starts_with`
                  - Pattern: `^\/.*`
    - `instance` (required):
      - Type: `string`
        - Format starts_with · Pattern ^\/.*
        - Format: `starts_with`
        - Pattern: `^\/.*`
    - `param` (optional):
      - Type: `string`
        - Range 1 160
        - Maximum length: `160`
        - Minimum length: `1`
    - `requestId` (required):
      - Type: `string`
        - Format uuid · Pattern ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
        - Format: `uuid`
        - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`
    - `requiredCreditUsd` (optional):
      - Type: `string`
        - Pattern ^(?:0|[1-9]\d*)\.\d{2,6}$
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `retryable` (required):
      - Type: `boolean`
    - `status` (required):
      - Type: `integer`
        - Range 400 599
        - Maximum: `599`
        - Minimum: `400`
    - `title` (required):
      - Type: `string`
        - Range 1 120
        - Maximum length: `120`
        - Minimum length: `1`
    - `topUpUrl` (optional):
      - Type: `string`
        - Format uri · Maximum length 2048
        - Format: `uri`
        - Maximum length: `2048`
    - `type` (required):
      - Type: `string`
        - Format uri · Maximum length 2048
        - Format: `uri`
        - Maximum length: `2048`

Example — Insufficient scope

```json
{
  "code": "insufficient_scope",
  "detail": "The credential does not grant the scope required by the operation.",
  "errors": [
    {
      "code": "insufficient_scope",
      "message": "The credential does not grant the scope required by the operation.",
      "pointer": "/"
    }
  ],
  "instance": "/v0/job-facts",
  "requestId": "019faa81-0b1a-77b1-9758-51ff24ab51ae",
  "retryable": false,
  "status": 403,
  "title": "Insufficient scope",
  "type": "https://docs.luranta.com/errors/insufficient-scope"
}
```

### 404

The requested resource does not exist or is not available to this organisation.

This response uses [Problem Details](/reference/problem-details).

#### Headers

##### `traceparent`

`string` · required

W3C trace context generated for this request attempt.

- Type: `string`
[...]
